- if trials.present?
  %h3= header
  .table-responsive.no-min-height
    %table.table.trials-table
      %thead
        %tr
          %th= t(:title)
          %th= t(:deadline)
          %th= t(:rank)
          %th= t(:environment)
          %th= t(:state)
          - unless defined? hide_options
            %th
            %th
      %tbody
        - trials.each do |trial|
          %tr{ class: trial.pending_changes? ? 'table-danger' : nil,
          title: trial.pending_changes? ? t(:trial_contain_pendings) : nil,
          'data-toggle': 'tooltip' }
            %td= link_to trial.title, [committee, trial]
            %td= l(trial.deadline, format: :month_year)
            %td= trial.rank&.name || t(:rank_missing)
            %td= trial.environment&.name || t(:environment_missing)
            %td
              - if stateman_trial(trial, stateman_trials).present?
                - state = stateman_trial(trial, stateman_trials).state
                %span.badge.pointer{ style: style_for_trial_badge(trial,
                stateman_trials), 'data-toggle': 'popover',
                'data-content': state.description, 'data-placement': 'left',
                'data-trigger': 'hover click', title: state.name }
                  = state.name.split.first
            - unless defined? hide_options
              %td
                - if render_status_options?(trial)
                  = render 'status_options', trial: trial, committee: committee
              %td
                .dropdown
                  %button#tr-options{ type: 'button',
                  'data-toggle': 'dropdown', 'aria-haspopup': 'true',
                  'aria-expanded': 'false' }
                    = t(:more)
                  .dropdown-menu{ 'aria-labelledby': 'tr-options' }
                    = link_to t(:edit), edit_committee_trial_path(committee,
                    trial), class: 'dropdown-item'
                    = link_to t(:versions).capitalize,
                    committee_trial_versions_path(committee, trial),
                    class: 'dropdown-item'
